# $Revision: 1.6 $, $Date: 2003/12/14 17:23:50 $
Summary:	Portable MPI Model Implementation
Summary(pl):	Przenona implementacja standardu MPI
Name:		mpich
Version:	1.2.5.2
Release:	1
License:	Open source (MPICH), BSD-like (MPI-2-C++)
Group:		Development/Libraries
Source0:	ftp://ftp.mcs.anl.gov/pub/mpi/%{name}-%{version}.tar.gz
# Source0-md5:	9a7524c220eeb3f080069308bab9f487
Patch0:		%{name}-fuckssh.patch
Patch1:		%{name}-opt.patch
Patch2:		http://squishy.monkeysoft.net/mpich/%{name}-1.2.5-oM.patch
URL:		http://www-unix.mcs.anl.gov/mpi/
BuildRequires:	gcc-g77
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MPICH is an open-source, portable implementation of the
Message-Passing Interface Standard. It contains a complete
implementation of version 1.2 of the MPI Standard and also significant
parts of MPI-2, particularly in the area of parallel I/O.

%description -l pl
MPICH jest wolnodostpn implementacj standardu MPI (Message-Passing
Interface). Zawiera pen implementacj wersji MPI 1.2 oraz znaczne
czci wersji MPI-2, szczeglnie w zakresie rwnolegej komunikacji.

%prep
%setup -q
%patch0 -p1
%patch1	-p1
%patch2	-p1

%build
# note: can't run autoconf - we must patch configure not only configure.in
# also, don't change it to %%configure - it won't work
# no configure options for sysconfdir and messagecat_dir :/
sysconfdir=%{_sysconfdir} messagecat_dir=%{_libdir} \
./configure \
	--prefix=%{_prefix} --exec_prefix=%{_prefix} \
	--includedir=%{_includedir} --sharedlib=%{_libdir} \
	--libdir=%{_libdir} --datadir=%{_datadir}/%{name} \
	--bindir=%{_bindir} --sbindir=%{_sbindir} \
	--mandir=%{_mandir} --docdir=%{_docdir} \
	-opt="%{rpmcflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# really awful
DESTDIR=$RPM_BUILD_ROOT ; export DESTDIR
%{__make} install

# fix symlinks
(cd $RPM_BUILD_ROOT%{_libdir}
rm -f libfmpich.so libmpich.so libpmpich.so
ln -sf libfmpich.so.*.* libfmpich.so
ln -sf libmpich.so.*.* libmpich.so
ln -sf libpmpich.so.*.* libpmpich.so
)

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv -f $RPM_BUILD_ROOT%{_prefix}/examples/* \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

(cd $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f mpirun MPI-2-C++/mpirun
ln -sf %{_bindir}/mpirun mpirun
ln -sf %{_bindir}/mpirun MPI-2-C++/mpirun
)

# argh... where came that 4 from???
for f in $RPM_BUILD_ROOT%{_mandir}/man4/*.4 ; do
	mv -f "$f" $RPM_BUILD_ROOT%{_mandir}/man3/`basename "$f" .4`.3
done

for f in HISTORY LICENSE README TODO ; do
	mv -f MPI-2-C++/$f $f.MPI-2-C++
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/*.ps* COPYRIGHT README KnownBugs
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/lib*.so*
%{_libdir}/lib*.a
%{_sysconfdir}/*
%{_includedir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/mpich
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpich.spec,v $
Revision 1.6  2003/12/14 17:23:50  qboosh
- updated to 1.2.5.2

Revision 1.5  2003/05/28 12:59:47  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/08 11:16:27  misi3k
- rel 2
- added Patch2 (this allows you to make MPICH use mosrun rather than rsh)

Revision 1.2  2003/04/05 11:49:52  qboosh
- up to 1.2.5-1a, updated fuckssh and opt patches
- removed obsolete DESTDIR patch

Revision 1.1  2003/04/03 08:42:31  qboosh
- mv mpi.spec mpich.spec to reflect Name

Revision 1.8  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.7  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/02 20:30:33  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.5  2002/01/18 02:13:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/05/30 17:04:29  qboosh
- fixes in %%install and DESTDIR patch

Revision 1.3  2001/05/30 04:37:42  qboosh
- opt and DESTDIR patches
- builds, but probably still NFY

Revision 1.2  2001/03/20 01:23:32  dobrek
-some fixes

Revision 1.1  2000/09/12 12:36:55  dobrek
- Initial realase. It will not build it is simply for my convinense in acces
  the sources and specs. It neads BIG autoconf.patch but \me is still on the one
  of the first pages of autoconf docs.
